
/*CSS Reset*/
* {
	/*zeros all the margin and padding of our elements.
	Because by default, element are being added margins and padding by browser */
	/*box-sizing: border-box; - to accuately measure our element, that paddings and border are not added on the top of the element's width*/
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/*#box1 {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 1px solid black;
	margin-right: 30px;
}*/

/*html{
	font-size: 5px;
}*/

/*class selector*/
.sample {
	height: 150px;
	width: 150px;
	border: 2px solid blue;
	background-color: green;
}


/*id selector*/
#box1 {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 2px solid black;
	margin-right: 30px;
	background-color: orange;
	display: inline-block;
	vertical-align: top;

	/*without box-sizing: border box
	the exact width of our element: 254px

	border and padding are added on the top of the width

	2px left border + 50px left padding + 150 width + 50px right padding + 2px right border = 254px


	with box sizing border-box
	the exact width of our element: ;

	border and padding are included in th total width
	2px left border + 50px left padding + 46px content width + 50px right padding +2 px left border

	display: inline-block;
	this property is used to display an element as an inline level block container

	*/
}
#box2 {
	height: 150px;
	width: 150px;
	border: 2px solid red;
	background-color: yellow;
	padding: 50px;
	display: inline-block;
	vertical-align: top;
}
